DMARCTS-REPORT-PARSER(8)

NAME
dmarcts-report-parser - DMARC Report Parser

SYNOPSIS
dmarcts-report-parser [OPTIONS] [PATH]

DESCRIPTION
This script can be used to parse .xml files in DMARC reports sent by email providers and store the parsed information in an SQL database.

The .xml files are expected to be attachments of emails which the script can obtain from local folders, mbox files or IMAP account folders.

This script needs a configuration file called dmarcts-report-parser.conf in the /etc/ (or in the current working directory), which defines a database server with credentials and (if used) an IMAP server with credentials.

OPTIONS
Additionally, one of the following command line options must be provided:

-i  Read reports from messages on IMAP server as defined in the config file.

-m  Read reports from mbox file(s) provided in PATH.

-e  Read reports from MIME email file(s) provided in PATH.

-x  Read reports from xml file(s) provided in PATH.

The following optional options are allowed:

-d  Print debug info.

-r  Replace existing reports rather than skipping them.

--delete
    Delete processed message files (the XML is stored in the database for later reference).

--info
    Print out number of XML files or emails processed.

SEE ALSO
dmarcts-report-viewer

AUTHOR
This man page has been written by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> for the Debian project and it may be used by others.